> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tracecat.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Workspace

> Return Workflow as title, description, list of Action JSONs, adjacency list of Action IDs.



## OpenAPI

````yaml https://platform.tracecat.com/api/openapi.json get /workspaces/{workspace_id}
openapi: 3.1.0
info:
  title: Tracecat API
  summary: Tracecat API
  description: The open source AI automation platform for security teams and agents.
  termsOfService: >-
    https://docs.google.com/document/d/e/2PACX-1vQvDe3SoVAPoQc51MgfGCP71IqFYX_rMVEde8zC4qmBCec5f8PLKQRdxa6tsUABT8gWAR9J-EVs2CrQ/pub
  contact:
    name: Tracecat Founders
    email: founders@tracecat.com
  license:
    name: AGPL-3.0
    url: https://www.gnu.org/licenses/agpl-3.0.html
  version: '1'
servers:
  - url: /api
security: []
tags:
  - name: public
    description: Public facing endpoints
  - name: workflows
    description: Workflow management
  - name: actions
    description: Action management
  - name: triggers
    description: Workflow triggers
  - name: secrets
    description: Secret management
  - name: variables
    description: Workspace variable management
paths:
  /workspaces/{workspace_id}:
    get:
      tags:
        - workspaces
      summary: Get Workspace
      description: >-
        Return Workflow as title, description, list of Action JSONs, adjacency
        list of Action IDs.
      operationId: workspaces-get_workspace
      parameters:
        - name: workspace_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Workspace Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WorkspaceRead'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyCookie: []
        - ServiceAccountApiKeyBearer: []
components:
  schemas:
    WorkspaceRead:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        name:
          type: string
          title: Name
        settings:
          anyOf:
            - $ref: '#/components/schemas/WorkspaceSettingsRead'
            - type: 'null'
        organization_id:
          type: string
          format: uuid
          title: Organization Id
      type: object
      required:
        - id
        - name
        - organization_id
      title: WorkspaceRead
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    WorkspaceSettingsRead:
      properties:
        git_provider:
          anyOf:
            - $ref: '#/components/schemas/VcsProvider'
            - type: 'null'
        git_repo_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Git Repo Url
        workflow_unlimited_timeout_enabled:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Workflow Unlimited Timeout Enabled
        workflow_default_timeout_seconds:
          anyOf:
            - type: integer
            - type: 'null'
          title: Workflow Default Timeout Seconds
        allowed_attachment_extensions:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Allowed Attachment Extensions
        allowed_attachment_mime_types:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Allowed Attachment Mime Types
        validate_attachment_magic_number:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Validate Attachment Magic Number
        effective_allowed_attachment_extensions:
          items:
            type: string
          type: array
          title: Effective Allowed Attachment Extensions
          description: >-
            Returns workspace-specific extensions if set, otherwise system
            defaults.
          readOnly: true
        effective_allowed_attachment_mime_types:
          items:
            type: string
          type: array
          title: Effective Allowed Attachment Mime Types
          description: >-
            Returns workspace-specific MIME types if set, otherwise system
            defaults.
          readOnly: true
      type: object
      required:
        - effective_allowed_attachment_extensions
        - effective_allowed_attachment_mime_types
      title: WorkspaceSettingsRead
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    VcsProvider:
      type: string
      enum:
        - github
        - gitlab
        - bitbucket
      title: VcsProvider
      description: Version control host backing a workspace sync repository.
  securitySchemes:
    APIKeyCookie:
      type: apiKey
      in: cookie
      name: fastapiusersauth
    ServiceAccountApiKeyBearer:
      type: http
      description: Tracecat service account API key.
      scheme: bearer

````